E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
GSmtp::VerifierFactory Class Reference

A factory for addresss verifiers. More...

`#include <gverifierfactory.h>`

## Static Public Member Functions
static Verifier * | newVerifier (GNet::ExceptionHandler &, const std::string &identifier, unsigned int timeout, bool compatible)
| Returns a Verifier on the heap. More...
static std::string | check (const std::string &identifier)
| Checks an identifier. More...

## Detailed Description

A factory for addresss verifiers.

Definition at line 39 of file gverifierfactory.h.

## Member Function Documentation

std::string GSmtp::VerifierFactory::check | ( | const std::string & | identifier | ) |
| static

Checks an identifier.

Returns an empty string if okay, or a diagnostic reason string.

Definition at line 30 of file gverifierfactory.cpp.

GSmtp::Verifier * GSmtp::VerifierFactory::newVerifier | ( | GNet::ExceptionHandler & | exception_handler,
|  | const std::string & | identifier,
|  | unsigned int | timeout,
|  | bool | compatible
| ) |  |
| static

Returns a Verifier on the heap.

The identifier is normally prefixed with a verifier type, or it is the file system path of an exectuable.

Definition at line 35 of file gverifierfactory.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gverifierfactory.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gverifierfactory.cpp